Subject: bug#2912: 23.0.92; Ediff over TRAMP too slow

From: David Abrahams <[email-masked]>
Date: Tue, 7 Apr 2009 09:17:22 -0400

On Apr 7, 2009, at 3:44 AM, Michael Albinus wrote:

> David Abrahams <[email-masked]> writes:
>
>> Ediff two remote files using /ssh:... protocol
>>
>> It seems to go over the network for everything.  At first I thought  
>> it
>> was the auto-refining, but I turned that off and it didn't seem to  
>> make
>> any difference in speed.
>
> In case of remote files, ediff compares local copies, indeed.

If that's all it was doing, I wouldn't be complaining.  Each time I  
move to the next diff, it appears to be going over the network.

> I'm not so
> familiar with ediff, therefore I don't know, whether this can be  
> changed
> easily, running the diff command on the remote host. However, this
> introduces more complexity into ediff: there might be protocols  
> which do
> not support execution of remote commands (like ftp or smb).  
> Furthermore,
> ediff would need to check, whether the files to be compared reside on
> the same remote host.

I don't think that would be a big win.  There is, however, a lot to be  
gained somewhere *during* the ediff session.

> I don't believe that this shall be changed before the release of Emacs
> 23.1. After the release, it might be a new feature somebody (with more
> skills than I have on ediff) might implement.
>
> For larger files, I recommend to use the scp method instead of ssh.

Really!  I thought they were roughly the same.  Thanks for the hint.

--
David Abrahams
BoostPro Computing
http://boostpro.com